package com.cyksj.service.mange.cms.manager.service;


import com.cyksj.model.entity.CmsMenu;
import com.cyksj.model.entity.CmsRole;
import com.cyksj.model.entity.CmsUser;

import java.util.List;

/*
 *项目名: yicang-admin
 *文件名: CacheService
 *创建者: JavaZou
 *创建时间:2022/9/30 14:08
 */
public interface CacheService {
	void saveUser(Long userId) throws Exception;

	void saveRoles(Long userId) throws Exception;

	void savePermissions(Long userId) throws Exception;

	void deleteUserCache(Long userId) throws Exception;

	List<CmsRole> getUserRoleCache(Long userId);

	List<CmsMenu> getUserPermsCache(Long userId);

	CmsUser getUserCache(Long userId);

	void delUserRoleCache(Long userId);

	void delUserPermissionsCache(Long userId);
}
